﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DataGridView_Row_Color_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[2] { new DataColumn("Item"), new DataColumn("Quantity") });
            dt.Rows.Add("Shirt", 145);
            dt.Rows.Add("Jeans", 0);
            dt.Rows.Add("Trousers", 190);
            dt.Rows.Add("Tie", 30);
            dt.Rows.Add("Cap", 0);
            dt.Rows.Add("Hat", 90);
            dt.Rows.Add("Scarf", 290);
            dt.Rows.Add("Belt", 150);
            dataGridView1.DataSource = dt;
            dataGridView1.AllowUserToAddRows = false;
        }

        private void dataGridView1_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            //Compare the value of second Column i.e. Column with Index 1.
            if (e.ColumnIndex == 1 && e.Value != null)
            {
                //Fetch the value of the second Column.
                int quantity = Convert.ToInt32(e.Value);

                //Apply Background color based on value.
                if (quantity == 0)
                {
                    dataGridView1.Rows[e.RowIndex].DefaultCellStyle.BackColor = Color.Red;
                }
                if (quantity > 0 && quantity <= 50)
                {
                    dataGridView1.Rows[e.RowIndex].DefaultCellStyle.BackColor = Color.Yellow;
                }
                if (quantity > 50 && quantity <= 100)
                {
                    dataGridView1.Rows[e.RowIndex].DefaultCellStyle.BackColor = Color.Orange;
                }
            }
        }
    }
}
