﻿Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim dt As DataTable = New DataTable
        dt.Columns.AddRange(New DataColumn() {New DataColumn("Item"), New DataColumn("Quantity")})
        dt.Rows.Add("Shirt", 145)
        dt.Rows.Add("Jeans", 0)
        dt.Rows.Add("Trousers", 190)
        dt.Rows.Add("Tie", 30)
        dt.Rows.Add("Cap", 0)
        dt.Rows.Add("Hat", 90)
        dt.Rows.Add("Scarf", 290)
        dt.Rows.Add("Belt", 150)
        dataGridView1.DataSource = dt
        dataGridView1.AllowUserToAddRows = False
    End Sub

    Private Sub dataGridView1_CellFormatting(sender As System.Object, e As System.Windows.Forms.DataGridViewCellFormattingEventArgs) Handles dataGridView1.CellFormatting
        'Compare the value of second Column i.e. Column with Index 1.
        If e.ColumnIndex = 1 AndAlso e.Value IsNot Nothing Then

            'Fetch the value of the second Column.
            Dim quantity As Integer = Convert.ToInt32(e.Value)

            'Apply Background color based on value.
            If quantity = 0 Then
                dataGridView1.Rows(e.RowIndex).DefaultCellStyle.BackColor = Color.Red
            End If

            If quantity > 0 AndAlso quantity <= 50 Then
                dataGridView1.Rows(e.RowIndex).DefaultCellStyle.BackColor = Color.Yellow
            End If

            If quantity > 50 AndAlso quantity <= 100 Then
                dataGridView1.Rows(e.RowIndex).DefaultCellStyle.BackColor = Color.Orange
            End If
        End If
    End Sub
End Class
